<ng-container *ngIf="valid">
  <div class="eui-u-width-100">
    <div class="row eui-u-pt-l eui-u-ph-4xl">
      <div class="col-{{ initialUserData ? '6' : '12' }} eui-u-pl-none eui-u-pr-m">
        <ng-container *ngTemplateOutlet="data; context: { $implicit: { data: userData, isInitialData: false } }"></ng-container>
      </div>
      <div class="col-{{ initialUserData ? '6' : '12' }} eui-u-pr-none eui-u-pl-m" *ngIf="initialUserData.id">
        <ng-container *ngTemplateOutlet="data; context: { $implicit: { data: initialUserData, isInitialData: true } }"></ng-container>
      </div>
      <span class="eui-u-border-bottom-separator eui-u-font-xl eui-u-ph-none">{{
        'app.details.user.confirmation.addUser.access' | translate
      }}</span>
    </div>

    <div class="row eui-u-ph-4xl">
      <div class="col-{{ initialUserData ? '6' : '12' }} eui-u-pl-none eui-u-pr-m">
        <ng-container *ngTemplateOutlet="roles; context: { $implicit: { data: userData, isInitialData: false } }"></ng-container>
      </div>
      <div class="col-{{ initialUserData ? '6' : '12' }} eui-u-pr-none eui-u-pl-m" *ngIf="initialUserData.id">
        <ng-container *ngTemplateOutlet="roles; context: { $implicit: { data: initialUserData, isInitialData: true } }"></ng-container>
      </div>
    </div>
  </div>

  <!-- Reusable templates -->

  <ng-template #data let-user>
    <div class="cs-user-data-container" [ngClass]="{ 'eui-u-disabled': user?.isInitialData }">
      <div [ngClass]="{ 'eui-u-visibility-hidden': user?.isInitialData && initialUserData.userName === userData.userName }">
        <p class="eui-u-f-bold eui-u-mb-none">{{ 'app.details.user.confirmation.addUser.username' | translate }}</p>
        <div class="eui-u-display-flex eui-u-flex-align-items-center eui-u-mb-m">
          <eui-icon-svg
            *ngIf="initialUserData.id && !user?.isInitialData && initialUserData.userName !== userData.userName"
            class="eui-u-mr-2xs"
            icon="checkmark-circle"
            set="sharp"
            size="m"
            fillColor="success-100" />
          <span class="eui-u-mt-none" [ngClass]="{ 'eui-u-text-line-through': user?.isInitialData }">
            {{ user?.data?.userName }}
          </span>
        </div>
      </div>

      <div [ngClass]="{ 'eui-u-visibility-hidden': user?.isInitialData && initialUserData.email === userData.email }">
        <p class="eui-u-f-bold eui-u-mb-none">{{ 'app.details.user.confirmation.addUser.email' | translate }}</p>
        <div class="eui-u-display-flex eui-u-flex-align-items-center eui-u-mb-m">
          <eui-icon-svg
            *ngIf="initialUserData.id && !user?.isInitialData && initialUserData.email !== userData.email"
            class="eui-u-mr-2xs"
            icon="checkmark-circle"
            set="sharp"
            size="m"
            fillColor="success-100" />
          <span class="eui-u-mt-none" [ngClass]="{ 'eui-u-text-line-through': user?.isInitialData }">
            {{ user?.data?.email }}
          </span>
        </div>
      </div>
      <div
        [ngClass]="{
          'eui-u-visibility-hidden': user?.isInitialData && initialUserData.countryHelper.label === userData.countryHelper.label
        }">
        <p class="eui-u-f-bold eui-u-mb-none">{{ 'app.details.user.confirmation.addUser.country' | translate }}</p>
        <div class="eui-u-display-flex eui-u-flex-align-items-center eui-u-mb-m">
          <eui-icon-svg
            *ngIf="initialUserData.id && !user?.isInitialData && initialUserData.countryHelper.label !== userData.countryHelper.label"
            class="eui-u-mr-2xs"
            icon="checkmark-circle"
            set="sharp"
            size="m"
            fillColor="success-100" />
          <span *ngIf="user?.data?.country" class="eui-flag-icon eui-flag-icon-{{ user?.data.country | flag }} eui-u-mr-2xs"></span>
          <span [ngClass]="{ 'eui-u-text-line-through': user?.isInitialData }">
            {{ user?.data?.countryHelper?.label }}
          </span>
        </div>
      </div>
    </div>
  </ng-template>

  <ng-template #roles let-roles>
    <div class="cs-user-data-container eui-u-pb-none" [ngClass]="{ 'eui-u-disabled': roles?.isInitialData }">
      <div
        *ngIf="roles.data?.userRoles && roles.data?.userRoles.length > 0"
        [ngClass]="{ 'eui-u-visibility-hidden': roles?.isInitialData && rolesAreDiff('userRoles') }">
        <p class="eui-u-f-bold eui-u-mb-none eui-u-pb-2xs">
          {{ 'app.details.user.confirmation.addUser.umApp' | translate }}
        </p>
        <eui-icon-svg
          *ngIf="initialUserData.id && !roles?.isInitialData && !rolesAreDiff('userRoles')"
          class="eui-u-mr-2xs"
          icon="checkmark-circle"
          set="sharp"
          size="m"
          fillColor="success-100" />
        <eui-chip *ngFor="let role of roles.data?.userRoles" isFilled euiPrimary class="eui-u-mb-xs eui-u-mr-xs">{{ role.label }}</eui-chip>
      </div>
      <div
        *ngIf="roles.data?.adminRoles && roles.data?.adminRoles.length > 0"
        [ngClass]="{ 'eui-u-visibility-hidden': roles?.isInitialData && rolesAreDiff('adminRoles') }">
        <p class="eui-u-f-bold eui-u-mb-none eui-u-pb-2xs">
          {{ 'app.details.user.confirmation.addUser.csApp' | translate }}
        </p>
        <eui-icon-svg
          *ngIf="initialUserData.id && !roles?.isInitialData && !rolesAreDiff('adminRoles')"
          class="eui-u-mr-2xs"
          icon="checkmark-circle"
          set="sharp"
          size="m"
          fillColor="success-100" />
        <eui-chip *ngFor="let role of roles.data?.adminRoles" isFilled euiPrimary class="eui-u-mb-x eui-u-mr-xs">{{ role.label }}</eui-chip>
      </div>
    </div>

    <div class="cs-user-data-container eui-u-pb-none" [ngClass]="{ 'eui-u-disabled': roles?.isInitialData }">
      <p
        class="eui-u-f-bold eui-u-mb-none eui-u-pb-none"
        [ngClass]="{
          'eui-u-visibility-hidden':
            roles?.isInitialData && userData?.startDate === initialUserData.startDate && userData?.endDate === initialUserData.endDate
        }">
        {{ 'app.details.user.confirmation.addUser.activePeriod' | translate }}
      </p>
      <div
        class="eui-u-display-flex eui-u-flex-align-items-center"
        [ngClass]="{ 'eui-u-visibility-hidden': roles?.isInitialData && userData?.startDate === initialUserData.startDate }">
        <eui-icon-svg
          *ngIf="initialUserData.id && !roles?.isInitialData && userData?.startDate !== initialUserData.startDate"
          class="eui-u-mr-2xs"
          icon="checkmark-circle"
          set="sharp"
          size="m"
          fillColor="success-100" />
        <span [ngClass]="{ 'eui-u-text-line-through': roles?.isInitialData }" class="eui-u-mt-none">
          {{
            'app.details.user.confirmation.addUser.startDate'
              | translate: { date: (roles.data?.startDate | date: 'dd/MM/yyyy') || ('app.data.user.undefined' | translate) }
          }}
        </span>
      </div>
      <div
        class="eui-u-display-flex eui-u-flex-align-items-center"
        [ngClass]="{ 'eui-u-visibility-hidden': roles?.isInitialData && userData?.endDate === initialUserData.endDate }">
        <eui-icon-svg
          *ngIf="initialUserData.id && !roles?.isInitialData && userData?.endDate !== initialUserData.endDate"
          class="eui-u-mr-2xs"
          icon="checkmark-circle"
          set="sharp"
          size="m"
          fillColor="success-100" />
        <span [ngClass]="{ 'eui-u-text-line-through': roles?.isInitialData }" class="eui-u-mt-none">
          {{
            'app.details.user.confirmation.addUser.endDate'
              | translate: { date: (roles.data?.endDate | date: 'dd/MM/yyyy') || ('app.data.user.undefined' | translate) }
          }}
        </span>
      </div>
    </div>
  </ng-template>
</ng-container>
